import { z } from 'zod';
export declare const sendFriendRequestEndpoint: {
    readonly name: "Send Friend Request";
    readonly description: "Sends a friend request to a player. Can be used in conjunction with [GET Friend Requests] and [DELETE Remove Friend Request] to determine a player's PUUID from their game name.";
    readonly category: "Local Endpoints";
    readonly type: "local";
    readonly suffix: "chat/v4/friendrequests";
    readonly method: "POST";
    readonly riotRequirements: {
        readonly localAuth: true;
    };
    readonly body: z.ZodObject<{
        game_name: z.ZodString;
        game_tag: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        game_name: string;
        game_tag: string;
    }, {
        game_name: string;
        game_tag: string;
    }>;
    readonly responses: {
        readonly '200': z.ZodObject<{
            requests: z.ZodArray<z.ZodAny, "many">;
        }, "strip", z.ZodTypeAny, {
            requests: any[];
        }, {
            requests: any[];
        }>;
    };
};
export type SendFriendRequestResponse = z.input<typeof sendFriendRequestEndpoint.responses['200']>;
